XSTARFISH(1)

NAME
xstarfish - tiled root window wallpaper generator

SYNOPSIS
xstarfish [ options ]

DESCRIPTION
XStarfish generates colourful, tiled images using random numbers fed through mathematical functions and draws them on the background of your desktop. It does not use source image files, so it can generate its images nearly forever without running out of material.

OPTIONS

-h, --help, --usage
    Print the message you're reading now.

-v, --version
    Current version of the program.

-d, --daemon INTERVAL [UNITS]
    Fork off into the background. XStarfish will generate a pattern, sleep for INTERVAL UNITS, then repeat. Valid units are: seconds, minutes, hours, days, weeks. Seconds are the default interval.

-p, --pidfile
    Creates a $HOME/.xstarfish* file containing the pid of the daemon if xstarfish is forking into the background.

--display DISPLAY
    Name of the target display.

-g, --geometry W[xH]
    Size of desired image. If you omit the height, a square pattern WxW will be generated.

-o, --outfile FILE
    Specify an output file. If you use this option, xstarfish will write a png file instead of setting the X11 desktop.

-z, --zoom X[xY]
    Zoom factor of image. If you omit the y-scale, a uniform zoom of XxX will be applied.

-s, --size SIZE
    An approximate size in English. Valid size arguments are small, medium, large, full, and random. Full size creates patterns the exact size of your display's default monitor. Small, medium, and large are randomly sizes at appropriate fractions of the default monitor size. Random can be any size from 64x64 up to the whole monitor. Size always overrides geometry.

-r, --random SEED
    Seed for rand() call - for debugging purposes.

NOTES
The default size is 256x256.

AUTHOR
Mars Saxman <mars@redplanetsw.com>